# OpalIAX2MediaStream Class Reference

`#include <iax2medstrm.h>`

Inheritance diagram for OpalIAX2MediaStream:

List of all members.

## Public Member Functions

Overrides of OpalMediaStream class
virtual PBoolean | Open ()
virtual PBoolean | Start ()
virtual PBoolean | Close ()
virtual PBoolean | ReadPacket (RTP_DataFrame &packet)
virtual PBoolean | WriteData (const BYTE *data, PINDEX length, PINDEX &written)
virtual PBoolean | IsSynchronous () const

## Protected Attributes

IAX2Connection & | connection
PBYTEArray | pendingData

## Detailed Description

This class describes a media stream, which is an interface to the opal classes for generating encoded media data

## Member Function Documentation

virtual PBoolean OpalIAX2MediaStream::Open | ( |  | ) | `[virtual]`

Open the media stream.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalIAX2MediaStream::Start | ( |  | ) | `[virtual]`

Start the media stream.

The default behaviour calls Resume() on the associated OpalMediaPatch thread if it was suspended.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalIAX2MediaStream::Close | ( |  | ) | `[virtual]`

Close the media stream.

The default does nothing.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalIAX2MediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Goes to the IAX2Connection class, and removes a packet from the connection. The connection class turned the media packet into a RTP_DataFrame class, and jitter buffered it.

Returns:
  PTrue on successful read of a packet, PFalse on faulty read.

Parameters:

  packet | Data buffer to read to

Reimplemented from OpalMediaStream.

virtual PBoolean OpalIAX2MediaStream::WriteData | ( | const BYTE * | data,
|  | PINDEX | length,
|  | PINDEX & | written |
| ) |  |  | `[virtual]`

Write raw media data to the sink media stream. The default behaviour writes to the OpalLine object.

Parameters:

  data | Data to write
  length | Length of data to write.
  written | Length of data actually written

Reimplemented from OpalMediaStream.

virtual PBoolean OpalIAX2MediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. A synchronous stream is one that is regular, such as the sound frames from a sound card.

Implements OpalMediaStream.

## Member Data Documentation

IAX2Connection& OpalIAX2MediaStream::connection `[protected]`

The connection is the source/sink of our data packets

Reimplemented from OpalMediaStream.

PBYTEArray OpalIAX2MediaStream::pendingData `[protected]`

There was unused data from an incoming ethernet frame. The unused data is stored here.

The documentation for this class was generated from the following file:

- iax2medstrm.h